---
apiVersion: policy/v1
items:
- apiVersion: policy/v1
  kind: PodDisruptionBudget
  metadata:
    creationTimestamp: "2025-10-27T11:40:32Z"
    generation: 1
    managedFields:
    - apiVersion: policy/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:spec:
          f:maxUnavailable: {}
          f:selector: {}
      manager: console
      operation: Update
      time: "2025-10-27T11:40:32Z"
    - apiVersion: policy/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:conditions:
            .: {}
            k:{"type":"DisruptionAllowed"}:
              .: {}
              f:lastTransitionTime: {}
              f:message: {}
              f:observedGeneration: {}
              f:reason: {}
              f:status: {}
              f:type: {}
          f:currentHealthy: {}
          f:desiredHealthy: {}
          f:disruptionsAllowed: {}
          f:expectedPods: {}
          f:observedGeneration: {}
      manager: kube-controller-manager
      operation: Update
      subresource: status
      time: "2025-10-29T11:54:49Z"
    name: console
    namespace: openshift-console
    resourceVersion: "2147445"
    uid: 80d6e431-48cf-4e08-9cd0-07047ac87e8e
  spec:
    maxUnavailable: 1
    selector:
      matchLabels:
        app: console
        component: ui
  status:
    conditions:
    - lastTransitionTime: "2025-10-29T11:54:49Z"
      message: ""
      observedGeneration: 1
      reason: SufficientPods
      status: "True"
      type: DisruptionAllowed
    currentHealthy: 2
    desiredHealthy: 1
    disruptionsAllowed: 1
    expectedPods: 2
    observedGeneration: 1
- apiVersion: policy/v1
  kind: PodDisruptionBudget
  metadata:
    creationTimestamp: "2025-10-27T11:40:32Z"
    generation: 1
    managedFields:
    - apiVersion: policy/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:spec:
          f:maxUnavailable: {}
          f:selector: {}
      manager: console
      operation: Update
      time: "2025-10-27T11:40:32Z"
    - apiVersion: policy/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:conditions:
            .: {}
            k:{"type":"DisruptionAllowed"}:
              .: {}
              f:lastTransitionTime: {}
              f:message: {}
              f:observedGeneration: {}
              f:reason: {}
              f:status: {}
              f:type: {}
          f:currentHealthy: {}
          f:desiredHealthy: {}
          f:disruptionsAllowed: {}
          f:expectedPods: {}
          f:observedGeneration: {}
      manager: kube-controller-manager
      operation: Update
      subresource: status
      time: "2025-10-27T12:28:08Z"
    name: downloads
    namespace: openshift-console
    resourceVersion: "45525"
    uid: e5cada9d-f3f5-4500-a91a-c76425768104
  spec:
    maxUnavailable: 1
    selector:
      matchLabels:
        app: console
        component: downloads
  status:
    conditions:
    - lastTransitionTime: "2025-10-27T12:28:08Z"
      message: ""
      observedGeneration: 1
      reason: SufficientPods
      status: "True"
      type: DisruptionAllowed
    currentHealthy: 2
    desiredHealthy: 1
    disruptionsAllowed: 1
    expectedPods: 2
    observedGeneration: 1
kind: PodDisruptionBudgetList
metadata:
  resourceVersion: "2219730"
